/*
 * Sun RPC is a product of Sun Microsystems, Inc. and is provided for
 * unrestricted use provided that this legend is included on all tape
 * media and as a part of the software program in whole or part.  Users
 * may copy or modify Sun RPC without charge, but are not authorized
 * to license or distribute it to anyone else except as part of a product or
 * program developed by the user.
 * 
 * SUN RPC IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
 * WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
 * 
 * Sun RPC is provided with no support and without any obligation on the
 * part of Sun Microsystems, Inc. to assist in its use, correction,
 * modification or enhancement.
 * 
 * SUN MICROSYSTEMS, INC. SHALL HAVE NO LIABILITY WITH RESPECT TO THE
 * INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY SUN RPC
 * OR ANY PART THEREOF.
 * 
 * In no event will Sun Microsystems, Inc. be liable for any lost revenue
 * or profits or other special, indirect and consequential damages, even if
 * Sun has been advised of the possibility of such damages.
 * 
 * Sun Microsystems, Inc.
 * 2550 Garcia Avenue
 * Mountain View, California  94043
 */

/* @(#)test.x 1.3 92/06/22 SMI */

struct opaqueArg1400 {
	opaque   data[1400];
};
struct opaqueArgVar {
	opaque   data<>;
};
typedef	int      UintArgVar<>;
typedef	int      TintArgVar<>;
typedef	int      UtestArgVar<>;
typedef	int      TtestArgVar<>;

program PERF {
	version VERS_ONE {
	int NULL_CALL(int) = 1;                 /* returns the argument */
	int THRU_O_1400(opaqueArg1400) = 2;
	int THRU_O_VAR(opaqueArgVar) = 3;
	int THRU_UI_VAR(UintArgVar) = 4;
	int THRU_TI_VAR(TintArgVar) = 5;
	void THRU_I_RESET(void) = 6;		/* resets integer cksum */
	} = 1;
} = 120010;

const PERF_TLI = 120012;



